edu.isi.pegasus.planner.parser.dax

## Class DAXParser3.Arguments

- java.lang.Object
- - edu.isi.pegasus.planner.parser.dax.DAXParser3.Arguments

Enclosing class:
  DAXParser3

    private class DAXParser3.Arguments
    extends java.lang.Object

Private class to handle mix data content for arguments tags.

### Field Summary

Fields
`protected java.lang.StringBuffer` `mBuffer` Handle to a job arguments to handle mixed content.

### Constructor Summary

Constructors
Constructor and Description
`Arguments()` The default constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`private void` `addArgument(File file)` Adds a file name to the argument string
`void` `addArgument(ReplicaLocation rl)` Adds filename to the arguments
`void` `addArgument(java.lang.String text)` Adds text to the arguments string
`java.lang.String` `ignoreWhitespace(java.lang.String str)` Our own implementation for ignorable whitespace.
`java.lang.String` `ignoreWhitespace(java.lang.String str, boolean preserveLineBreak)` Our own implementation for ignorable whitespace.
`void` `reset()` Resets the internal buffer
`java.lang.String` `toString()` Returns the arguments as string

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### mBuffer

    protected java.lang.StringBuffer mBuffer

Handle to a job arguments to handle mixed content.

### Constructor Detail

#### Arguments

    public Arguments()

The default constructor

### Method Detail

#### reset

    public void reset()

Resets the internal buffer

#### addArgument

    public void addArgument(java.lang.String text)

Adds text to the arguments string

Parameters:
  `text` - the text to be added.

#### addArgument

    public void addArgument(ReplicaLocation rl)

Adds filename to the arguments

Parameters:
  `rl` - the ReplicaLocation object

#### addArgument

    private void addArgument(File file)

Adds a file name to the argument string

Parameters:
  `file` - the file object.

#### ignoreWhitespace

    public java.lang.String ignoreWhitespace(java.lang.String str)

Our own implementation for ignorable whitespace. A String that holds the contents of data passed as text by the underlying parser. The whitespaces at the end are replaced by one whitespace.

Parameters:
  `str` - The string that contains whitespaces.
Returns:
  String corresponding to the trimmed version.

#### ignoreWhitespace

    public java.lang.String ignoreWhitespace(java.lang.String str,
                                             boolean preserveLineBreak)

Our own implementation for ignorable whitespace. A String that holds the contents of data passed as text by the underlying parser. The whitespaces at the end are replaced by one whitespace.

Parameters:
  `str` - The string that contains whitespaces.
Returns:
  String corresponding to the trimmed version.

#### toString

    public java.lang.String toString()

Returns the arguments as string

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  the arguments